use crate::protobuf::rpc;
use crate::protobuf::pagination;
use crate::models::core;

const SUBJECT: &str = "bet.beteran.ss.account.bank";

pub const SUBJECT_CREATE_BANK: &str = const_format::concatcp!(SUBJECT, ".CreateBank");
/// subject = bet.beteran.ss.account.bank.CreateBank;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateBankRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(string, tag="2")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag="3")]
    pub show: bool,
    #[prost(bool, tag="4")]
    pub can_use: bool,
    #[prost(string, optional, tag="5")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateBankResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<create_bank_response::Result>,
}
/// Nested message and enum types in `CreateBankResponse`.
pub mod create_bank_response {
  use crate::models::account;

    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub bank: ::core::option::Option<account::Bank>,
    }
}

pub const SUBJECT_LIST_BANKS: &str = const_format::concatcp!(SUBJECT, ".ListBanks");
/// subject = bet.beteran.ss.account.bank.ListBanks;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListBanksRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub pagination: ::core::option::Option<pagination::Pagination>,
    #[prost(message, repeated, tag="3")]
    pub searches: ::prost::alloc::vec::Vec<pagination::Search>,
    #[prost(message, repeated, tag="4")]
    pub sorts: ::prost::alloc::vec::Vec<pagination::Sort>,
    #[prost(string, optional, tag="5")]
    pub name_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(bool, optional, tag="6")]
    pub show: ::core::option::Option<bool>,
    #[prost(bool, optional, tag="7")]
    pub can_use: ::core::option::Option<bool>,
    #[prost(string, optional, tag="8")]
    pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListBanksResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<list_banks_response::Result>,
}
/// Nested message and enum types in `ListBanksResponse`.
pub mod list_banks_response {
  use crate::models::account;
  
  #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, repeated, tag="1")]
        pub banks: ::prost::alloc::vec::Vec<account::Bank>,
    }
}

pub const SUBJECT_UPDATE_BANK: &str = const_format::concatcp!(SUBJECT, ".UpdateBank");
/// subject = bet.beteran.ss.account.bank.UpdateBank
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateBankRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(string, tag="2")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag="3")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag="4")]
    pub show: bool,
    #[prost(bool, tag="5")]
    pub can_use: bool,
    #[prost(string, optional, tag="6")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateBankResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<update_bank_response::Result>,
}
/// Nested message and enum types in `UpdateBankResponse`.
pub mod update_bank_response {
  use crate::models::account;

  #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub bank: ::core::option::Option<account::Bank>,
    }
}

pub const SUBJECT_DELETE_BANK: &str = const_format::concatcp!(SUBJECT, ".DeleteBank");
/// subject = bet.beteran.ss.account.bank.DeleteBank
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteBankRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(string, tag="2")]
    pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteBankResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<delete_bank_response::Result>,
}
/// Nested message and enum types in `DeleteBankResponse`.
pub mod delete_bank_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
    }
}
